<?php
// no direct access
defined('ABSPATH') or die();

if(!class_exists('LSD_Author')):

/**
 * Listdom Author Class.
 *
 * @class LSD_Author
 * @version	1.0.0
 */
class LSD_Author extends LSD_Base
{
    /**
	 * Constructor method
	 */
	public function __construct()
    {
        parent::__construct();
	}
    
    public function init()
    {
        add_action('show_user_profile', array($this, 'form'));
        add_action('edit_user_profile', array($this, 'form'));

        add_action('personal_options_update', array($this, 'save'));
        add_action('edit_user_profile_update', array($this, 'save'));
    }

    public function form($user)
    {
        // Generate output
        include $this->include_html_file('metaboxes/author/form.php', array('return_path'=>true));
    }

    public function save($user_id)
    {
        // No Access
        if(!current_user_can('edit_user', $user_id)) return false;

        // Job Title
        update_user_meta($user_id, 'lsd_job_title', sanitize_text_field($_POST['lsd_job_title']));

        // Save Social Networks
        do_action('lsd_social_networks_profile_save', $user_id);

        // Phone
        update_user_meta($user_id, 'lsd_phone', sanitize_text_field($_POST['lsd_phone']));

        // Mobile
        update_user_meta($user_id, 'lsd_mobile', sanitize_text_field($_POST['lsd_mobile']));

        // Fax
        update_user_meta($user_id, 'lsd_fax', sanitize_text_field($_POST['lsd_fax']));

        return true;
    }
}

endif;