<?php
// no direct access
defined('ABSPATH') or die();

if(!class_exists('LSD_Element_Categories')):

/**
 * Listdom Categories Element Class.
 *
 * @class LSD_Element_Categories
 * @version	1.0.0
 */
class LSD_Element_Categories extends LSD_Element
{
    public $key = 'categories';
    public $label;
    public $show_color;

    /**
	 * Constructor method
     * @param boolean $show_color
	 */
	public function __construct($show_color = true)
    {
        // Call the parent constructor
        parent::__construct();

        $this->label = esc_html__('Categories', 'listdom');
        $this->show_color = $show_color;
	}

    public function get($post_id = NULL)
    {
        if(is_null($post_id))
        {
            global $post;
            $post_id = $post->ID;
        }

        // Entity
        $entity = new LSD_Entity_Listing($post_id);

        $category = $entity->get_data_category();
        if(!$category) return '';

        // Generate output
        ob_start();
        include lsd_template('elements/categories.php');
        return ob_get_clean();
    }

    public static function styles($category_id)
    {
        $color = get_term_meta($category_id, 'lsd_color', true);
        $text = LSD_Base::get_text_color($color);

        return 'style="background-color: '.esc_attr($color).'; color: '.esc_attr($text).';"';
    }
}

endif;