<?php
// no direct access
defined('ABSPATH') or die();

/** @var LSD_Skins $this */

// Get Sort Options
$options = (isset($this->sorts['options']) and is_array($this->sorts['options'])) ? $this->sorts['options'] : array();

// Filter Enabled Options
$enableds = array();
foreach($options as $key=>$option)
{
    $status = isset($option['status']) ? $option['status'] : 0;
    if(!$status) continue;

    $enableds[$key] = $option;
}

// No Enabled Option
if(!count($enableds)) return '';
?>
<div class="lsd-row">
	<div class="lsd-col-12">
		<div class="lsd-view-sortbar-wrapper">
			<ul>
				<?php foreach($enableds as $key=>$option): ?>
				<li data-orderby="<?php echo esc_attr($key); ?>" data-order="<?php echo ($this->orderby == $key ? ($this->order == 'DESC' ? 'ASC' : 'DESC') : (isset($option['sort']) ? esc_attr($option['sort']) : 'DESC')); ?>" class="<?php echo ($this->orderby == $key ? 'lsd-active' : ''); ?>">
					<?php echo esc_html($option['name']); ?>
					<?php if($this->orderby == $key): ?>
					<i class="lsd-icon fa fa-sort-amount-<?php echo ($this->order == 'DESC' ? 'desc' : 'asc'); ?>" aria-hidden="true"></i>
					<?php endif; ?>
				</li>
				<?php endforeach; ?>
			</ul>
		</div>
	</div>
</div>