<?php
// no direct access
defined('ABSPATH') or die();

/** @var LSD_Shortcodes_Taxonomy $this */

$grid = (isset($this->atts['grid']) ? $this->atts['grid'] : 2);
?>
<div class="lsd-taxonomy-shortcode-wrapper lsd-taxonomy-shortcode-clean lsd-font-m">
    <?php if(!count($this->terms)): ?>
        <?php echo LSD_Base::alert(esc_html__('No item found!', 'listdom'), 'warning'); ?>
    <?php else: ?>

        <?php $i = 1; foreach($this->terms as $term): $have_icon = false; ?>

        <?php if($i == 1): ?><div class="lsd-row"><?php endif; ?>

        <div class="lsd-col-<?php echo (12/$grid); ?>">
            <a href="<?php echo esc_url(get_term_link($term->term_id)); ?>">

                <?php if(!isset($this->atts['show_icon']) or (isset($this->atts['show_icon']) and $this->atts['show_icon'])): $icon = get_term_meta($term->term_id, 'lsd_icon', true); ?>
                    <?php if(trim($icon)): $have_icon = true; ?><div class="lsd-icon"><i class="lsd-icon <?php echo esc_attr($icon); ?> fa-fw"></i></div><?php endif; ?>
                <?php endif; ?>

                <div class="lsd-title<?php if(!$have_icon) echo ' lsd-title-full'; ?>">
                    <?php echo esc_html($term->name); ?>
                    <?php if(isset($this->atts['show_count']) and $this->atts['show_count']): ?>
                        <span class="lsd-count">(<?php echo esc_html($term->count); ?>)</span>
                    <?php endif; ?>
                </div>

            </a>
        </div>

        <?php if($i == $grid): $i = 0; ?></div><?php endif; ?>

        <?php $i++; endforeach; ?>

        <?php if($i != 1 and $i <= $grid) echo '<div class="lsd-col-transparent lsd-col-'.(12/$grid).'"></div></div>'; ?>

    <?php endif; ?>
</div>